%global modulename postcss-reporter

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-postcss-reporter
Version:        6.0.0
Release:        1%{?dist}
Summary:        Log PostCSS messages in the console

License:        MIT
URL:            https://github.com/postcss/postcss-reporter
Source0:        https://registry.npmjs.org/postcss-reporter/-/postcss-reporter-6.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(chalk) >= 2.0.1 with npmlib(chalk) < 3.0.0))
BuildRequires:  ((npmlib(lodash) >= 4.17.4 with npmlib(lodash) < 5.0.0))
BuildRequires:  ((npmlib(log-symbols) >= 2.0.0 with npmlib(log-symbols) < 3.0.0))
BuildRequires:  ((npmlib(postcss) >= 7.0.2 with npmlib(postcss) < 8.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Log PostCSS messages in the console

%package 6.0.0
Summary:        Log PostCSS messages in the console


%description 6.0.0
Log PostCSS messages in the console

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 6.0.0
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 27 2018 npm2srpm <dshea@redhat.com> - 6.0.0-1
- Package automatically generated by npm2srpm
